%global major 0
%define libname %mklibname %name %major
%define devname %mklibname -d %name
# -*-Mode: rpm-spec -*-

Name:     neatvnc
Version:  0.7.1
Release:  %mkrel 1
Summary:  A liberally licensed VNC server library
Group:    System/Libraries
# main source is ISC
# include/sys/queue.h is BSD
# bundled miniz is MIT and Unlicense
License:  ISC and MIT and Unlicense and BSD

URL:      https://github.com/any1/neatvnc
Source:   %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: gcc
BuildRequires: meson
BuildRequires: cmake
BuildRequires: pkgconfig(gbm)
BuildRequires: pkgconfig(libavcodec)
BuildRequires: pkgconfig(libavfilter)
BuildRequires: pkgconfig(libavutil)
BuildRequires: pkgconfig(aml)
BuildRequires: pkgconfig(gnutls)
BuildRequires: pkgconfig(libdrm)
BuildRequires: pkgconfig(pixman-1)
BuildRequires: pkgconfig(zlib)
BuildRequires: pkgconfig(libjpeg)

%description
This is a liberally licensed VNC server library that's intended to be
fast and neat. Note: This is a beta release, so the interface is not
yet stable.

%package -n %libname
Summary:  a liberally licensed VNC server library
Group: System/Libraries

%description -n %libname
This is a liberally licensed VNC server library that's intended to be
fast and neat. Note: This is a beta release, so the interface is not
yet stable.

%package -n %devname
Group: Development/C
Summary: Development files for %{name}
Requires: %{libname} = %{version}-%{release}
%description -n %devname
This package contains header files for %{name}.

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install

%files -n %libname
%{_libdir}/lib%{name}.so.%{major}*

%doc README.md

%license COPYING

%files -n %devname
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/*



%changelog
* Mon Nov 13 2023 tv <tv> 0.7.1-1.mga10
+ Revision: 2006550
- 0.7.1

* Sat Sep 23 2023 tv <tv> 0.6.0-1.mga10
+ Revision: 1989762
- imported package neatvnc

